Subject: [Ice] Suresh Krishnan's Discuss on draft-ietf-ice-rfc5245bis-17: (with DISCUSS and COMMENT)

From: Suresh Krishnan <[email-masked]>
Date: Tue, 20 Feb 2018 21:03:27 -0800

Suresh Krishnan has entered the following ballot position for
draft-ietf-ice-rfc5245bis-17: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-ice-rfc5245bis/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

* Section 5.2.  Lite Implementation Procedures

"For dual-stack hosts, the IPv4 address is RECOMMENDED."

I am trying to understand the reasoning behind this unequivocal choice (which
probably might have made sense in 2010). At least, there is some explanatory
text required to justify this.

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

* Section 15

It would have been good to have an example with IPv6 addresses (from the
2001:db8::/32 space) as well.

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 21 Feb 2018 17:49:46 +0000

Hi Suresh,

Thank You for the review and comments! Please see inline.

> I am trying to understand the reasoning behind this unequivocal choice (which probably might have made 
> sense in 2010). At least, there is some explanatory text required to justify this.

The text came from RFC 5245. As far as I remember, it was never discussed in the bis work.

I don't have any justification to keep the text, so I suggest to remove it.

>2001:db8::/32 space) as well.

I can modify the existing example to use IPv6 addresses. I see no reason to have to copies of the same example, with the IP version being the only difference.

Regards,

Christer

---

From: Eric Rescorla <[email-masked]>
Date: Wed, 21 Feb 2018 09:53:24 -0800

I would actually prefer multiple examples to ones with just IPv6. Like it
or not, there is a huge amount of IPv4 ICE and it would be good for the
examples to match reality

On Wed, Feb 21, 2018 at 9:49 AM, Christer Holmberg <
[email-masked]> wrote:

> I can modify the existing example to use IPv6 addresses. I see no reason
> to have to copies of the same example, with the IP version being the only
> difference.
>
> Regards,
>
> Christer
>
>
>

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 21 Feb 2018 18:04:40 +0000

So, you want me to copy paste section 15 (which is 4,5 pages long), and only change the IP addresses? The IP addresses are only mentioned in the introduction text – in the flow etc they are not shown.

Regards,

Christer

From: Eric Rescorla [mailto:[email-masked]]
Sent: 21 February 2018 19:53
To: Christer Holmberg <[email-masked]>
Cc: Suresh Krishnan <[email-masked]>; The IESG <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: Suresh Krishnan's Discuss on draft-ietf-ice-rfc5245bis-17: (with DISCUSS and COMMENT)

I would actually prefer multiple examples to ones with just IPv6. Like it or not, there is a huge amount of IPv4 ICE and it would be good for the examples to match reality

On Wed, Feb 21, 2018 at 9:49 AM, Christer Holmberg <[email-masked]<mailto:[email-masked]>> wrote:
Hi Suresh,

Regards,

Christer

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 21 Feb 2018 18:17:22 +0000

Ok, I’ll look into it, if I can use both IPv4 and IPv6 addresses in the same example.

Regards,

Christer

Sent: 21 February 2018 20:15

No, I'd prefer you leave it as-is, or, alternately, add some text saying "or these could be v6 addresses". But having the only example be v6 is misleading.

-Ekr

On Wed, Feb 21, 2018 at 10:04 AM, Christer Holmberg <[email-masked]<mailto:[email-masked]>> wrote:
So, you want me to copy paste section 15 (which is 4,5 pages long), and only change the IP addresses? The IP addresses are only mentioned in the introduction text – in the flow etc they are not shown.

Regards,

Christer

From: Eric Rescorla [mailto:[email-masked]<mailto:[email-masked]>]
Sent: 21 February 2018 19:53
To: Christer Holmberg <[email-masked]<mailto:[email-masked]>>
Cc: Suresh Krishnan <[email-masked]<mailto:[email-masked]>>; The IESG <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: Suresh Krishnan's Discuss on draft-ietf-ice-rfc5245bis-17: (with DISCUSS and COMMENT)

Regards,

Christer

---

From: Eric Rescorla <[email-masked]>
Date: Wed, 21 Feb 2018 10:15:06 -0800

No, I'd prefer you leave it as-is, or, alternately, add some text saying
"or these could be v6 addresses". But having the only example be v6 is
misleading.

-Ekr

On Wed, Feb 21, 2018 at 10:04 AM, Christer Holmberg <
[email-masked]> wrote:

> So, you want me to copy paste section 15 (which is 4,5 pages long), and
> only change the IP addresses? The IP addresses are only mentioned in the
> introduction text – in the flow etc they are not shown.
>
>
>
> Regards,
>
>
>
> Christer
>
>
>
> *From:* Eric Rescorla [mailto:[email-masked]]
> *Sent:* 21 February 2018 19:53
> *To:* Christer Holmberg <[email-masked]>
> *Cc:* Suresh Krishnan <[email-masked]>; The IESG <[email-masked]>;
> [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> *Subject:* Re: Suresh Krishnan's Discuss on draft-ietf-ice-rfc5245bis-17:
> (with DISCUSS and COMMENT)
>
>
>

---

From: Suresh Krishnan <[email-masked]>
Date: Wed, 21 Feb 2018 19:19:44 +0000

Hi Christer,
  Yes. Like ekr, I would also prefer to have examples in both address families if possible. For IPv6, I was mainly thinking of having a non-NAT example (as NATs are not currently common with IPv6) with perhaps a firewall instead on both ends.

Thanks
Suresh

On Feb 21, 2018, at 1:17 PM, Christer Holmberg <[email-masked]<mailto:[email-masked]>> wrote:

Regards,

Christer

-Ekr

Regards,

Christer

Regards,

Christer